質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.92%

Ruby On Rails rails s、bundle install時にmysql2でエラーがでる

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 5,435

score 31

発生している問題・エラーメッセージ

Ruby On Railsで開発を行なっているのですが、rails sでエラーが出てしまいました。

$ rails s
Could not find mysql2-0.4.9 in any of the sources
Run `bundle install` to install missing gems.

試したこと

Webで対策方法を色々試したのですがなかなかうまくいきません。。

該当のソースコード

$ xcode-select --install
$ bundle install
.
.
.
Fetching mysql2 0.4.9
Installing mysql2 0.4.9 with native extensions
Errno::EACCES: Permission denied @ rb_sysopen -
/Users/fukuiryuutarou/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/mysql2-0.4.9/CHANGELOG.md
An error occurred while installing mysql2 (0.4.9), and Bundler
cannot continue.
Make sure that `gem install mysql2 -v '0.4.9'` succeeds before bundling.

In Gemfile:
  mysql2

Gemfile

source 'https://rubygems.org'

gem 'rails', '4.2.6'
gem 'mysql2', '>= 0.3.13', '< 0.5'
gem 'sass-rails', '~> 5.0'
gem 'uglifier', '>= 1.3.0'
gem 'coffee-rails', '~> 4.1.0'
gem 'jquery-rails'
gem 'turbolinks'
gem 'jbuilder', '~> 2.0'
gem 'sdoc', '~> 0.4.0', group: :doc
gem 'devise'
gem 'pry-rails'
gem 'devise-i18n'
gem 'activeadmin', '~> 1.0.0.pre1'
gem 'activeadmin-translate'
gem 'rails-i18n'
gem 'therubyracer'
gem 'carrierwave','~> 0.10.0'
gem 'mini_magick','~>3.7.0'
gem 'ransack'
gem 'kaminari'
gem 'unicorn-worker-killer'

group :development, :test do
gem 'byebug'
end

group :development do
gem 'web-console', '~> 2.0'
gem 'spring'
end

補足情報(言語/FW/ツール等のバージョンなど)

初心者ですがどうぞよろしくお願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

RubyのバージョンとRailsのバージョンを教えていただけますか?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/09/22 11:29

    Gemfileのmysql2の項目をgem 'mysql2', '~> 0.3.20'に書き換えてbundle installしてみてください

    キャンセル

  • 2017/09/22 12:15

    extconf failed, exit code 1
    Gem files will remain installed in
    / ○/○/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/mysql2-0.3.21
    for inspection.
    Results logged to
    /Users/○/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/extensions/x86_64-darwin-15/2.3.0-static/mysql2-0.3.21/gem_make.out

    An error occurred while installing mysql2 (0.3.21), and Bundler cannot
    continue.
    Make sure that `gem install mysql2 -v '0.3.21'` succeeds before bundling.

    In Gemfile:
    mysql2

    エラーです。。

    キャンセル

  • 2017/09/22 12:24

    確認していただきたいこと
    ・brewでmysqlは入れているか(brew listで確認できます)
    ・brewで入れたmysqlは起動しているか
    ・rbenvのパスは.bash_profileなどに書いてあるか

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.92%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る